;######################################################################## 	
;########################################################################	
;######################################################################## 	
DCF_INITIALISIERUNG:
	; DCF-EINGANG						
	cbi (DCF_DDR) ,(DCF_PIN_NR) 		; auf EINGANG
	cbi (DCF_PORT),(DCF_PIN_NR) 		; PULL UP aus, wichtig, denn manche DCF-Module sehr hochohmig !
	; DCF-INVERTIEREN					
	cbi (DCF_INV_DDR) ,(DCF_INV_PIN_NR) ; auf EINGANG
	sbi (DCF_INV_PORT),(DCF_INV_PIN_NR) ; PULL UP ein
ret
;######################################################################## 	
;########################################################################	
;######################################################################## 	
; PIN abfragen																
DCF_EINGANGSPEGEL_INVERTIEREN_ABFRAGEN:
	; PIN abfragen		
	sbic DCF_INV_PIN,DCF_INV_PIN_NR	; springe, wenn...
	rjmp DCF_EINGANGSPEGEL_INVERTIEREN_ABFRAGEN_0
	rjmp DCF_EINGANGSPEGEL_INVERTIEREN_ABFRAGEN_1
DCF_EINGANGSPEGEL_INVERTIEREN_ABFRAGEN_0:
	STS(adr_DCF_INVERTIERMODUS),NULL	; NULL
	ret
DCF_EINGANGSPEGEL_INVERTIEREN_ABFRAGEN_1:
	STS(adr_DCF_INVERTIERMODUS),EINS	; EINS
ret
;######################################################################## 	
;########################################################################	
;######################################################################## 	
; DCF77-TRGER=ON=MODULAUSGANG=5V (NORMALMODUS)								
; DCF77-TRGER=ON=MODULAUSGANG=0V (INVERTIERMODUS)							
; LED GELB muss leuchten, wenn DCF77 Trger ausgetastet ist					
; OUT: temp1																
DCF_PIN_ABFRAGEN_TEMP1:
	; INVERTIERMODUS ?	
	LDS temp,(adr_DCF_INVERTIERMODUS)
	tst temp
	brne DCF_PIN_ABFRAGEN_TEMP1_NORMAL
	rjmp DCF_PIN_ABFRAGEN_TEMP1_INVERTIERT

DCF_PIN_ABFRAGEN_TEMP1_INVERTIERT:
	; PIN abfragen		
	sbic DCF_PIN,DCF_PIN_NR	; springe, wenn...
	rjmp DCF_PIN_ABFRAGEN_77kHz_AUSTASTUNG_OFF
	rjmp DCF_PIN_ABFRAGEN_77kHz_AUSTASTUNG_ON
DCF_PIN_ABFRAGEN_TEMP1_NORMAL:
	; PIN abfragen		
	sbic DCF_PIN,DCF_PIN_NR	; springe, wenn...
	rjmp DCF_PIN_ABFRAGEN_77kHz_AUSTASTUNG_ON
	rjmp DCF_PIN_ABFRAGEN_77kHz_AUSTASTUNG_OFF
DCF_PIN_ABFRAGEN_77kHz_AUSTASTUNG_OFF:
	sbi (LED_GELB_PORT),LED_GELB_PIN_NR	; GELB OFF			
	clr temp1							; temp1=0=LED off	
	ret
DCF_PIN_ABFRAGEN_77kHz_AUSTASTUNG_ON:
	cbi (LED_GELB_PORT),LED_GELB_PIN_NR	; GELB on			
	ldi temp1,1							; temp1=1=LED on	
	ret
;######################################################################## 	
;########################################################################	
;######################################################################## 	
DCF_PIN_PEGELWECHSEL_TEMP1:
	; PEGEL=1 ?					
	tst temp1
	brne DCF_PIN_PEGELWECHSEL_TEMP1_RUN
	; OLD speichern				
	STS(adr_DCF_IMPULS_OLD),temp1
	ret
;-------------------------------------------------------------------------------
DCF_PIN_PEGELWECHSEL_TEMP1_RUN:
	; OLD <> momentaner Impuls ?
	LDS temp,(adr_DCF_IMPULS_OLD)
	; OLD speichern				
	STS(adr_DCF_IMPULS_OLD),temp1
	cp temp,temp1
	brne DCF_PIN_PEGELWECHSEL_TEMP1_START
	ret
;-------------------------------------------------------------------------------
DCF_PIN_PEGELWECHSEL_TEMP1_START:
	; PROGRAMM freigeben		 
	STS (adr_FREIGABE_PROGRAMM),EINS
	; Ergebnis sichern			
	CLI ; INTERRUPT sperren
	LDS temp1,(adr_ss1000_L)
	LDS temp2,(adr_ss1000_H)
	STS(adr_ERGBEBNIS_ss1000_L),TEMP1
	STS(adr_ERGBEBNIS_ss1000_H),TEMP2
	sei	; Interrupts freigeben	
ret
;######################################################################## 	
;########################################################################	
;######################################################################## 	
