; ##############################################################################
; ##############################################################################
; ##############################################################################
; BEGRUNG																		
ANZEIGE_BEGRUESSUNG:
	; ZEILE1	
	rcall LCD_CLEAR
	ldi ZH, high(TEXT_BEGRUESSUNG_1*2)	; TEXT 
	ldi ZL,  low(TEXT_BEGRUESSUNG_1*2)
	rcall ANZEIGE_TEXT
	; ZEILE2	
	rcall LCD_ZEILE2
	ldi ZH, high(TEXT_BEGRUESSUNG_2*2)	; TEXT 
	ldi ZL,  low(TEXT_BEGRUESSUNG_2*2)
	rcall ANZEIGE_TEXT

ret
; ##############################################################################
; ##############################################################################
; ##############################################################################
ANZEIGE_KONFIGURATION:
	; ZEILE1	
	rcall LCD_CLEAR
	ldi ZH, high(TEXT_KONFIGURATION*2)	; TEXT 
	ldi ZL,  low(TEXT_KONFIGURATION*2)
	rcall ANZEIGE_TEXT
	; ZEILE2			
	rcall LCD_ZEILE2
	; INVERTIERMODUS	
	ldi temp,'I'
	rcall LCD_DATA
	ldi temp,'N'
	rcall LCD_DATA
	ldi temp,'V'
	rcall LCD_DATA
	rcall LCD_DOPPEL_PUNKT
	LDS temp1,(adr_DCF_INVERTIERMODUS)
	rcall ANZEIGE_1_STELLEN_HEX_ASC_TEMP1
	rcall LCD_SPACE
ret
; ##############################################################################
; ##############################################################################
; ##############################################################################
ANZEIGE_ERGEBNIS:
	; ZEILE1	
	rcall LCD_CLEAR
	; ZEIT (SEKUNDEN)
	ldi temp,'Z'
	rcall LCD_DATA
	rcall LCD_DOPPEL_PUNKT
	LDS temp1,(adr_ss1)
	LDS temp2,(adr_ss2)
	LDS temp3,(adr_ss3)
	clr temp4
	rcall FUNKTION_HEX_ASC_32; INPUT: temp1...4 OUTPUT: Temp1...9 (temp)		
	rcall NULLSTELLENUNTERDRUCKUNG
	rcall LCD_AUSGABE_ZAHL_6_STELLEN_KURZ
	ldi temp,'s'
	rcall LCD_DATA
	rcall LCD_SPACE


	; ERGEBNIS	
	LDS temp1,(adr_ERGBEBNIS_ss1000_L) 
	LDS temp2,(adr_ERGBEBNIS_ss1000_H) 
	rcall ANZEIGE_3_STELLEN_NEGATIV_TEMP1_TEMP2
	ldi temp,'m'
	rcall LCD_DATA
	ldi temp,'s'
	rcall LCD_DATA
;-------------------------------------------------------------------------------

	; ZEILE2	
	rcall LCD_ZEILE2
	LDS temp1,(adr_ERGBEBNIS_1)
	LDS temp2,(adr_ERGBEBNIS_2)
	LDS temp3,(adr_ERGBEBNIS_3)
 	clr temp4
	rcall FUNKTION_HEX_ASC_32; INPUT: temp1...4 OUTPUT: Temp1...9 (temp)		

	mov temp,temp8
	rcall LCD_DATA
	mov temp,temp7
	rcall LCD_DATA
	rcall LCD_PUNKT	; "."
	mov temp,temp6
	rcall LCD_DATA
	mov temp,temp5
	rcall LCD_DATA
	mov temp,temp4
	rcall LCD_DATA
	rcall LCD_PUNKT	; "."
	mov temp,temp3
	rcall LCD_DATA
	mov temp,temp2
	rcall LCD_DATA
	mov temp,temp1
	rcall LCD_DATA


ret
; ##############################################################################
; ##############################################################################
; ##############################################################################




